@charset "utf-8";

/* ------------
     modal
------------ */
body.is_modal_show {
    overflow: hidden;
}
.modal_content {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1000;
    opacity: 0;
    transform: translateY(100%);
    background: rgba(0, 0, 0, 0.75);
    transition: opacity 0.3s 0s, transform 0s 0.3s;
}
.modal_content.is_modal_show {
    opacity: 1;
    transform: translateY(0%);
    transition: opacity 0.3s 0s, transform 0s 0s;
}
.modal_scroll {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    overflow-x: hidden;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
    text-align: center;
    letter-spacing: -0.5em; /*inline-blockの隙間をなくす*/
}
.modal_scroll_inner {
    text-align: center;
    margin: auto;
    max-width: 2000px;
    width: 100%;
    letter-spacing: normal; /* letter-spacing 戻す*/
    line-height: 1.5;
}
.modal_inner {
    background-color: var(--color-white);
    position: relative;
    overflow: hidden;
    opacity: 0;
    transition: opacity 0.3s, transform 0.3s;
}
.is_modal_show .modal_inner {
    opacity: 1;
}

/* centering */
.modal_scroll_inner,
.modal_scroll:after {
    display: inline-block;
    vertical-align: middle;
}
.modal_scroll:after {
    content: '';
    height: 100%;
}
/* close */
.modal_close {
    border: none;
    position: absolute;
    top: -50rem;
    right: 0;
    cursor: pointer;
}
.modal_close {
    width: 40rem;
    height: 40rem;
}
.modal_close::before,
.modal_close::after {
    content: '';
    width: 100%;
    height: 2px;
    margin: auto;
    background-color: var(--color-white);
    display: block;
    position: absolute;
    inset: 0;
}
.modal_close::before {
    rotate: 45deg;
}
.modal_close::after {
    rotate: -45deg;
}
@media (max-width: 1024px) {
    .main {
        height: 100dvh;
    }
    footer.footer {
        display: none;
    }
}

/* movie */
.product_img {
    position: relative;
}
.product_area_inner {
    display: flex;
    flex-direction: column;
    gap: 32rem;
}
.product_box {
    display: flex;
    flex-direction: column;
    gap: 40rem;
}
.product_sold_out {
    height: 50rem;
    font-size: 16px;
    letter-spacing: 0.1em;
    border: max(1rem, 1px) solid var(--color-black);
    display: flex;
    align-items: center;
    justify-content: center;
}
.product_code {
    font-size: 16px;
    line-height: 1.75;
    letter-spacing: 0.24em;
}
.product_amount {
    margin-top: 4rem;
    display: flex;
    align-items: baseline;
    flex-wrap: wrap;
}
.product_amount_num {
    margin-left: 8rem;
    font-size: 24px;
    line-height: 2;
    letter-spacing: 0.24em;
}
.product_amount_s {
    font-size: 14px;
    line-height: 1.5;
    letter-spacing: 0.08em;
}
.product_amount_tax {
    margin-left: 8rem;
}
.product_amount_postage {
    margin-left: 16rem;
}
.product_description,
.product_btn {
    font-size: 16px;
    line-height: 2;
    letter-spacing: 0.24em;
}
.product_link_wrap {
    display: flex;
    align-items: flex-start;
    flex-direction: column;
    gap: 32rem;
}
.product_link_cover {
    display: flex;
    align-items: flex-start;
    flex-direction: column;
    gap: 16rem;
    padding: 20px;
    background: rgb(247 247 247);
    width:100%;
}
.product_link {
    font-weight: 400;
    font-size: 12px;
    line-height: 2;
    letter-spacing: 0.24em;
    color: var(--color-black);
    border: none;
    position: relative;
    cursor: pointer;
}
.product_btn {
    padding-inline: 32px 62px;
    width: 100%;
}
.product_btn .btn_square_arrow {
    left: calc(100% - 65px);
}
@media (min-width: 1024.01px) {
    .product_img_nav_wrap {
        width: 100%;
        height: 100%;
        display: flex;
        position: absolute;
        top: 0;
        left: 0;
    }
    .product_img_nav {
        padding-left: 32rem;
        padding-bottom: 32rem;
        display: flex;
        flex-direction: column;
        gap: 12rem;
        align-self: flex-end;
        position: sticky;
        left: 0;
        bottom: 0;
        z-index: 10;
    }
    .product_img_nav_item {
        width: 4rem;
        height: 4rem;
        border-radius: 50%;
        background-color: var(--color-white);
    }
    .is_nav_active.product_img_nav_item {
        background-color: var(--color-black);
    }
    .product_content {
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .product_area {
        min-height: calc(100dvh - calc(88 / 1440 * 100vw));
        padding-block: 80rem;
        display: flex;
        align-items: center;
        align-self: flex-end;
        position: sticky;
        left: 0;
        bottom: 0;
    }
    .product_area_inner {
        width: 483rem;
        height: 100%;
    }
    .product_amount_num {
        margin-left: 8rem;
        line-height: 2;
    }
    .product_amount_tax {
        margin-left: 8rem;
    }
    .product_amount_postage {
        margin-left: 16rem;
    }

    .swiper {
        overflow: clip;
    }
    .product_swiper > .swiper-wrapper {
        align-items: stretch;
    }
    .swiper-slide:has(.product_img_swiper),
    .swiper-slide:has(.product_content_swiper) {
        width: 50%;
    }
    .product_img_swiper .swiper-wrapper {
        display: block;
    }
    .product_content_wrapper {
        height: auto;
    }
    .product_content_swiper,
    .product_content {
        height: 100%;
        position: relative;
    }
    .product_img_item {
        border-right: 1px solid rgb(247 247 247);
    }
}
@media (max-width: 1024px) {
    body {
        overflow: hidden;
    }
    .product {
        height: 100%;
    }
    .product_img_nav {
        padding-left: 24rem;
        padding-bottom: 24rem;
    }
    .product_content {
        padding: 6rem 24rem 0;
        background-color: var(--color-white);
    }
    .product_box {
        flex-direction: column-reverse;
    }
    .product_amount_price {
        width: 100%;
        margin-top: 8rem;
    }
    .product_amount_num {
        line-height: 1.5;
    }
    .product_amount_tax {
        margin-left: 4rem;
    }
    .product_amount_postage {
        margin-left: 8rem;
    }

    .product_swiper,
    .product_img_swiper {
        width: 100%;
        height: 100%;
    }
    .product_swiper .swiper-slide {
        height: auto;
    }
    .product_img_swiper {
        height: calc(100dvh - 230rem);
    }
    .is_sold_out .product_img_swiper {
        height: calc(100dvh - 320rem);
    }
    .product_content_swiper {
        height: calc(100dvh - 64rem - 34rem);
        background-color: var(--color-white);
    }
    .product_content {
        min-height: 100%;
        padding-bottom: 40rem;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        gap: 40rem;
    }
    .gallery_switch {
        width: 100%;
        height: 34rem;
        border: none;
        background-color: var(--color-white);
        display: flex;
        align-items: center;
        justify-content: center;
        position: relative;
    }
    .gallery_switch::before {
        content: '';
        width: 48rem;
        height: 2rem;
        background-color: var(--color-black);
        display: block;
    }
    .product_content_wrapper {
        z-index: 5 !important;
    }

    .product_img_swiper .swiper-pagination {
        top: auto;
        left: 24rem;
        right: auto;
        bottom: 24rem;
        transform: none;
    }
    .product_img_swiper .swiper-pagination-bullet {
        width: 4rem;
        height: 4rem;
        margin-block: 6rem;
        background-color: var(--color-white);
    }
    .product_img_swiper .swiper-pagination-bullet.swiper-pagination-bullet-active {
        background-color: var(--color-black);
    }
}
@media (min-width: 1024.01px) {
    @media (hover:hover) {
        .product_link::before {
            content: '';
            width: 100%;
            height: 1px;
            background-color: var(--color-black);
            position: absolute;
            left: 0;
            bottom: 0;
            scale: 0 1;
            transition: scale 0.3s;
            transform-origin: 0 0;
        }
        .product_link:hover::before {
            scale: 1 1;
        }
    }
}

/* modal */
html,
body {
    height: 100%;
}
.modal_scroll_delivery {
    overflow-y: hidden;
}
.modal_delivery_area {
    height: 100dvh;
    text-align: left;
    overflow-y: auto;
}
.modal_delivery_ttl {
    font-weight: 700;
    font-size: 24px;
    line-height: 1.75;
    letter-spacing: 0.04em;
}
.modal_delivery_txt {
    margin-top: 32rem;
    line-height: 2;
    letter-spacing: 0.24em;
}
.modal_close_delivery {
    width: 20rem;
    height: 20rem;
}
.modal_close_delivery::before,
.modal_close_delivery::after {
    height: 1px;
    background-color: var(--color-black);
}
@media (min-width: 1024.01px) {
    .modal_delivery .modal_scroll_inner {
        width: 720rem;
        margin-right: 0;
        display: block;
    }
    .modal_delivery_area {
        padding: 160rem 52rem;
    }
    .modal_delivery_txt {
        font-size: 16px;
    }
    .modal_close_delivery {
        top: 40rem;
        right: 40rem;
    }
}
@media (max-width: 1024px) {
    .modal_delivery_area {
        padding: 64rem 24rem;
    }
    .modal_delivery_txt {
        font-size: 16px;
    }
    .modal_close_delivery {
        top: 24rem;
        right: 24rem;
    }
}
.modal_content {
    transition: opacity 0.3s 0.4s, transform 0s 1.1s;
}
.modal_delivery .modal_inner {
    transition: transform 0.8s cubic-bezier(.42,0,0,1), opacity 0s 0.8s cubic-bezier(.42,0,0,1);
}
.is_modal_show.modal_delivery .modal_inner {
    transform: translateX(0);
    transition: transform 0.8s cubic-bezier(.42,0,0,1), opacity 0s cubic-bezier(.42,0,0,1);
}
@media (min-width: 1024.01px) {
    .modal_delivery .modal_inner {
        transform: translateX(100%);
    }
}
@media (max-width: 1024px) {
    .modal_delivery .modal_inner {
        transform: translateY(100%);
    }
}

/* recommend */
.recommend_ttl {
    font-size: 48px;
    line-height: 1.25;
    letter-spacing: 0.04em;
}
.recommend_list {
    display: flex;
}
.recommend_list_link {
    display: block;
    position: relative;
}
.recommend_list_sold_out {
    width: 100%;
    height: 100%;
    font-size: 18px;
    letter-spacing: 0.24em;
    text-align: center;
    color: var(--color-white);
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 0;
    left: 0;
}
.recommend_btn {
    margin-inline: auto;
    padding-inline: 32px 82px;
    font-size: 16px;
    line-height: 2;
    letter-spacing: 0.24em;
}
.recommend_btn .btn_square_arrow {
    left: calc(100% - 65px);
}
@media (min-width: 1024.01px) {
    .recommend {
        margin-block: 200rem;
    }
    .recommend_ttl {
        text-align: center;
    }
    .recommend_list {
        width: 1200rem;
        margin: 160rem auto 0;
        justify-content: center;
        gap: 30rem;
    }
    .recommend_list > li:nth-child(4) {
        display: none;
    }
    .recommend_list_link {
        width: 380rem;
    }
    .recommend_btn {
        width: 323px;
        margin-top: 160rem;
    }
}
@media (max-width: 1024px) {
    .recommend {
        margin-block: 160rem;
        padding-inline: 24rem;
    }
    .recommend_list {
        margin-top: 100rem;
        flex-wrap: wrap;
        gap: 24rem;
    }
    .recommend_list > li {
        width: calc(100% / 2 - 12rem);
    }
    .recommend_btn {
        margin-top: 100rem;
    }
}
@media (min-width: 1024.01px) {
    @media (hover:hover) {
        .recommend_list_link {
            transition: opacity 0.3s;
        }
        .recommend_list_link:hover {
            opacity: 0.7;
        }
    }
}